#include <iostream>

using namespace std;

int main()
{
    int k;
    cin>>k;
    cout<<k*3<<endl;
    int x=0, y=0;
    for (int i=0; i<k; i++)
    {
        cout<<x<<" "<<y<<endl;
        x++;
        cout<<x<<" "<<y<<endl;
        x++;
        cout<<x<<" "<<y<<endl;
        y++;
        x+=2;
    }
}